Block employee
curl --request PATCH \
--url https://pre-partners-api.cobee.io/api/v3/companies/{companyId}/employees/{employeeId}/block \
--header 'Authorization: Bearer <token>'import requests
url = "https://pre-partners-api.cobee.io/api/v3/companies/{companyId}/employees/{employeeId}/block"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pre-partners-api.cobee.io/api/v3/companies/{companyId}/employees/{employeeId}/block', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Employee not found"
}{
"message": "Employee with invalid state removed"
}{
"message": "Internal server error"
}Employees
Block employee
PATCH
/
companies
/
{companyId}
/
employees
/
{employeeId}
/
block
Block employee
Overview
This endpoint allows you to block an employee in the Cobee system. You can call this endpoint multiple times for the same employee. Each new call will overwrite the previous block date with the current timestamp at the moment of the call.Note: Blocking an employee prevents them from using their benefits, but they will still have access to the Cobee app and their historical data.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the company
The unique identifier of the employee
Response
Employee successfully blocked
⌘I